## Index

### Functions

- calculateRootHashFromAuditPath
- constructClaimProof
- getProofNodes
- hashChildren
- verifyClaimProof
- verifyLeafHashInclusion

## Functions

### calculateRootHashFromAuditPath

- calculateRootHashFromAuditPath(leafHash: string, leafIndex: number, proof: string[], treeSize: number): string

- - Defined in merkle.ts:52

  #### Parameters

  - ##### leafHash: string

  - ##### leafIndex: number

  - ##### proof: string[]

  - ##### treeSize: number

  #### Returns string

### constructClaimProof

- constructClaimProof(txHash: string, contractAddr: string): Promise<object>

- - Defined in merkle.ts:121

  #### Parameters

  - ##### txHash: string

  - ##### contractAddr: string

  #### Returns Promise<object>

### getProofNodes

- getProofNodes(leafIndex: number, treeSize: number, proof: string[]): any[]

- - Defined in merkle.ts:89

  #### Parameters

  - ##### leafIndex: number

  - ##### treeSize: number

  - ##### proof: string[]

  #### Returns any[]

### hashChildren

- hashChildren(left: string, right: string): string

- - Defined in merkle.ts:82

  #### Parameters

  - ##### left: string

  - ##### right: string

  #### Returns string

### verifyClaimProof

- verifyClaimProof(txHash: string, merkleRoot: string, nodes: any[]): boolean

- - Defined in merkle.ts:159

  #### Parameters

  - ##### txHash: string

  - ##### merkleRoot: string

  - ##### nodes: any[]

  #### Returns boolean

### verifyLeafHashInclusion

- verifyLeafHashInclusion(leafHash: string, leafIndex: number, proof: string[], rootHash: string, treeSize: number): boolean

- - Defined in merkle.ts:34

  #### Parameters

  - ##### leafHash: string

  - ##### leafIndex: number

  - ##### proof: string[]

  - ##### rootHash: string

  - ##### treeSize: number

  #### Returns boolean

Generated using TypeDoc